hpp-core: hpp::core::Node Class Reference

hpp-core 9.0.2 Implement basic classes for canonical path planning for kinematic chains.

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Protected Member Functions | List of all members
hpp::core::Node Class Reference
Roadmap

`#include <hpp/core/node.hh>`

## Public Types
typedef std::list< EdgePtr_t > | Edges_t

## Public Member Functions
| Node (ConfigurationIn_t configuration)
| Node (ConfigurationIn_t configuration, ConnectedComponentPtr_t connectedComponent)
void | addOutEdge (EdgePtr_t edge)
void | addInEdge (EdgePtr_t edge)
void | connectedComponent (const ConnectedComponentPtr_t &cc)
| Store the connected component the node belongs to.
ConnectedComponentPtr_t | connectedComponent () const
const Edges_t & | outEdges () const
| Access to outEdges.
const Edges_t & | inEdges () const
| Access to inEdges.
bool | isOutNeighbor (const NodePtr_t &n) const
bool | isInNeighbor (const NodePtr_t &n) const
const Configuration_t & | configuration () const
std::ostream & | print (std::ostream &os) const
| Print node in a stream.
virtual | ~Node ()

## Protected Member Functions
| Node ()

## Detailed Description

Node of a roadmap

Stores a configuration.

## Member Typedef Documentation

## ◆ Edges_t

typedef std::list<EdgePtr_t> hpp::core::Node::Edges_t

## Constructor & Destructor Documentation

## ◆ Node() [1/3]

hpp::core::Node::Node | ( | ConfigurationIn_t | configuration | ) |

Constructor

Parameters

  configuration | configuration stored in the new node

Note
  A new connected component is created. For consistency, the new node is not registered in the connected component.

## ◆ Node() [2/3]

hpp::core::Node::Node | ( | ConfigurationIn_t | configuration,
|  | ConnectedComponentPtr_t | connectedComponent
| ) |  |

Constructor

Parameters

  configuration | configuration stored in the new node
  connectedComponent | connected component the node belongs to.

## ◆ ~Node()

virtual hpp::core::Node::~Node | ( |  | ) |
| inlinevirtual

## ◆ Node() [3/3]

hpp::core::Node::Node | ( |  | ) |
| inlineprotected

## Member Function Documentation

## ◆ addInEdge()

void hpp::core::Node::addInEdge | ( | EdgePtr_t | edge | ) |

## ◆ addOutEdge()

void hpp::core::Node::addOutEdge | ( | EdgePtr_t | edge | ) |

## ◆ configuration()

const Configuration_t & hpp::core::Node::configuration | ( |  | ) | const

## ◆ connectedComponent() [1/2]

ConnectedComponentPtr_t hpp::core::Node::connectedComponent | ( |  | ) | const

## ◆ connectedComponent() [2/2]

void hpp::core::Node::connectedComponent | ( | const ConnectedComponentPtr_t & | cc | ) |

Store the connected component the node belongs to.

## ◆ inEdges()

const Edges_t & hpp::core::Node::inEdges | ( |  | ) | const

Access to inEdges.

## ◆ isInNeighbor()

bool hpp::core::Node::isInNeighbor | ( | const NodePtr_t & | n | ) | const

Check whether otherNode is an in-neighbor of this node. Node B is an in-neighbor of node A if node A has an ingoing edge going to B.

## ◆ isOutNeighbor()

bool hpp::core::Node::isOutNeighbor | ( | const NodePtr_t & | n | ) | const

Check whether otherNode is an out-neighbor of this node. Node B is an out-neighbor of node A if node A has an outgoing edge going to B.

## ◆ outEdges()

const Edges_t & hpp::core::Node::outEdges | ( |  | ) | const

Access to outEdges.

## ◆ print()

std::ostream & hpp::core::Node::print | ( | std::ostream & | os | ) | const

Print node in a stream.

The documentation for this class was generated from the following file:

- include/hpp/core/node.hh